--- title: "Permission" slug: "partner-api-global-permission" updated: 2022-07-05T01:22:53Z published: 2022-07-05T01:22:53Z canonical: "developer.comm100.com/partner-api-global-permission" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Permission - `Permissions` - Permissions Manage - `GET global/sites/{siteId}/permissions` - [Get site Permissions](/docs/partner-api-global-permission#get-site-permissions) - `GET global/agents/{agentId}/permissions` - [Get agent Permissions](/docs/partner-api-global-permission#get-agent-permissions) ## Permission JSON Format Permission is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | integer | ID of the permission. | | `moduleId` | string | ID of the module that the permission belongs to. | | `name` | string | Name of the permission. | | `description` | string | Description of the permission. | | `order` | integer | Order of the permission. | | `isEnabledForAgentByDefault` | bool | Whether the permission is enabled for agents by default or not. | | `parentId` | integer | ID of the parent permission. | | `isDeleted` | bool | Whether the permission is deleted or not. | ## Get site Permissions `GET global/sites/{stieId}/permissions` - #### Parameters: No Parameters - #### Response: An array of [Permission](/docs/partner-api-global-permission#permission-json-format) - #### Example Sample Request: ``` curl https://partnerapi.comm100.io/v4/global/sites/100/permissions \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": 1, "moduleId": "Global", "name": "Manage My Profile", "description": "• Edit My Profile", "order": 1, "isEnabledForAgentByDefault": false, "parentId": 0, "isDeleted": false } ] ``` ## Get agent Permissions `GET global/agents/{agentId}/permissions` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `siteId` | integer | query | yes | ID of the site. | - #### Response: | Name | Type | Description | | --- | --- | --- | | `permissionIds` | array | The list of permission IDs. | - #### Example Sample Request: ``` curl https://partnerapi.comm100.io/v4/global/agents/edd568c2-9e9f-416c-b98b-17fb03c1ee52/permissions?siteId=100 \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "permissionIds": [ 1, 2 ] } ```